%define ver_major 0.15
%def_with sys_glib

Name: pkgconfig
Version: %ver_major.0
Release: alt3.2

Summary: Pkgconfig helps make building packages easier
License: GPL
Group: Development/Other
Url: http://www.freedesktop.org/software/pkgconfig

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-0.15.0-alt-use_system_libs.patch
Patch1: %name-0.15.0-alt-popt.patch
Patch2: %name-0.15.0-alt-oldglib_noconfig.patch
Patch3: %name-0.15.0-alt-libs_norecursion.patch
Patch4: %name-0.15.0-alt-am.patch

Provides: %_libdir/pkgconfig

%if_with sys_glib
BuildPreReq: glib2-devel
%endif

# Automatically added by buildreq on Wed Dec 17 2003
# BuildRequires: gcc-c++ gcc-g77 glib2-devel libpopt-devel libstdc++-devel
BuildRequires: gcc-c++ gcc-g77 libpopt-devel libstdc++-devel

%description
The pkg-config program is used to retrieve information about installed
libraries in the system. It is typically used to compile and link
against one or more libraries.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1

# remove old popt stuff
%__rm -f findme* popt*

%if_without sys_glib
%patch2 -p1
%endif

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c
%__autoconf

%if_without sys_glib
pushd glib-1.2.8
./configure
%make_build
popd
%endif

%configure \
%if_with sys_glib
	--with-sys-glib
%endif

%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_libdir/pkgconfig

%files
%_bindir/pkg-config
%dir %_libdir/pkgconfig
%_datadir/aclocal/*
%_mandir/man?/*
%doc AUTHORS ChangeLog README

%changelog
* Fri Mar 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.15.0-alt3.2
- fix pkg.m4 for new automake.

* Thu Feb 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.15.0-alt3.1
- provides /usr/lib/pkgconfig.

* Sat Jan 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.15.0-alt3
- disable recursion while output linker flags. New --recursive option
  restores former behavior.

* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.15.0-alt2
- build with system glib and popt.

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.15.0-alt1
- 0.15.0

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.14.0-alt1
- 0.14.0, glib2-2.1.3 requires new version.
- removed empty NEWS from %%doc.
- small improvements in description.

* Mon Sep 23 2002 AEN <aen@altlinux.ru> 0.13.0-alt1
- new version

* Wed Mar 27 2002 AEN <aen@logic.ru> 0.12.0-alt1
- new version

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8.0-alt1
- 0.8.0. Cleanup spec.

* Fri Jun 15 2001 AEN <aen@logic.ru> 0.7.0-alt2
- BuildReq added

* Fri Jun 15 2001 AEN <aen@logic.ru> 0.7.0-alt1
- new version

* Thu Apr 19 2001 Stanislav Ievlev <inger@altlinux.ru> 0.5.0-alt1
- Initial release for ALTLinux. Descriptions to spec from Mandrake package
